| AOMedia AV1 Codec

Data Fields
MB_MODE_INFO_EXT Struct Reference

Extended mode info derived from mbmi. More...

`#include <block.h>`

## Data Fields
CANDIDATE_MV | ref_mv_stack [MODE_CTX_REF_FRAMES][USABLE_REF_MV_STACK_SIZE]
| The reference mv list for the current block.
uint16_t | weight [MODE_CTX_REF_FRAMES][USABLE_REF_MV_STACK_SIZE]
| The weights used to compute the ref mvs.
uint8_t | ref_mv_count [MODE_CTX_REF_FRAMES]
| Number of ref mvs in the drl.
int_mv | global_mvs [REF_FRAMES]
| Global mvs.
int16_t | mode_context [MODE_CTX_REF_FRAMES]
| Context used to encode the current mode.

## Detailed Description

Extended mode info derived from mbmi.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h